Subject: bug#53644: 29.0.50; xref-search-program breaks if programm not installed on a remote host

From: Dmitry Gutov <[email-masked]>
Date: Mon, 14 Feb 2022 16:40:26 +0200

On 14.02.2022 15:57, Philip Kaludercic wrote:
>> And use a simpler test: (only when the host is remote) write some text
>> to a file in the temp dir, then search through it. Only doing it once,
>> of course, when the connection-local value is initialized.
> I am afraid I don't understand what you mean here, specifically "some
> text".
> 

Well, we need some file to search and some knowledge about its contents 
in advance (so the search can succeed).

Since we don't know anything about the remote system, we probably have 
to create the file ourselves. Put something like "aaa\nbbb\nccc" in it, 
and then search for "bbb".